Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604890 - data population of candlepin fails
data population of candlepin fails
Status: RELEASE_PENDING
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Adrian Likins
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 19:16 EDT by wes hayutin
Modified: 2015-05-14 11:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2010-06-16 19:16:53 EDT
"arch"=>"ALL",
  "sockets"=>2,
  "version"=>"1.0",
  "variant"=>"ALL"},
 [[0, false], [1, true]]]
I attempted a deploy on the latest git pull and on tag 17-1. I *think* the problem may be caused by something in the cp_utils

Thanks!

/usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/abstract_response.rb:60:in `return!': Bad Request (RestClient::BadRequest)
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:204:in `process_result'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:153:in `transmit'
	from /usr/lib/ruby/1.8/net/http.rb:543:in `start'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:150:in `transmit'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:55:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:30:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/resource.rb:63:in `post'
	from ../client/ruby/candlepin_api.rb:328:in `post'
	from ../client/ruby/candlepin_api.rb:188:in `add_content_to_product'
	from buildconf/scripts/import_products.rb:95
	from buildconf/scripts/import_products.rb:94:in `each'
	from buildconf/scripts/import_products.rb:94
	from buildconf/scripts/import_products.rb:55:in `each'
	from buildconf/scripts/import_products.rb:55
[root@localhost proxy]#
Comment 1 wes hayutin 2010-06-16 19:17:48 EDT
It *may* be a good idea to tag the cp_utils repo when we tag the candlepin repo
Comment 2 wes hayutin 2010-06-16 19:21:15 EDT
adding Justin to the CC, it looks like the populate is failing during a ruby call
Comment 3 Adrian Likins 2010-06-17 09:43:17 EDT
I suspect it's the cp_product_utils/cp being out of sync (latest git of both need latest git of each other). 

Do you have the server log from the error?
Comment 4 wes hayutin 2010-06-17 09:57:52 EDT
see orig comment.. I tried the latest git checkout and tag 17.1 w/ the latest cp_utils checkout.  If you would like to check out the box its IP is 10.16.120.131 root/dog

here is the last few lines of the tomcat6 log..

Jun 16 19:13:22 [http-8443-1] ERROR org.jboss.resteasy.core.SynchronousDispatcher - Failed executing POST /products/37065/content/0false
org.jboss.resteasy.spi.BadRequestException: Unable to extract parameter from http request: javax.ws.rs.PathParam("content_id") value is '0false' for public org.fedoraproject.candlepin.model.Product org.fedoraproject.candlepin.resource.ProductResource.addContent(java.lang.String,java.lang.Long,java.lang.Boolean)
	at org.jboss.resteasy.core.StringParameterInjector.extractValue(StringParameterInjector.java:254)
	at org.jboss.resteasy.core.PathParamInjector.inject(PathParamInjector.java:116)
	at org.jboss.resteasy.core.MethodInjectorImpl.injectArguments(MethodInjectorImpl.java:98)
	at org.jboss.resteasy.core.MethodInjectorImpl.invoke(MethodInjectorImpl.java:121)
	at org.jboss.resteasy.core.ResourceMethod.invokeOnTarget(ResourceMethod.java:247)
	at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:212)
	at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:202)
	at org.jboss.resteasy.core.SynchronousDispatcher.getResponse(SynchronousDispatcher.java:441)
	at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:418)
	at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:111)
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:217)
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:159)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
	at com.google.inject.servlet.ServletDefinition.doService(ServletDefinition.java:216)
	at com.google.inject.servlet.ServletDefinition.service(ServletDefinition.java:141)
	at com.google.inject.servlet.ManagedServletPipeline.service(ManagedServletPipeline.java:93)
	at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:63)
	at org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter.doFilter(LoggingFilter.java:74)
	at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:129)
	at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:59)
	at com.wideplay.warp.persist.PersistenceFilter$3.run(PersistenceFilter.java:141)
	at com.wideplay.warp.persist.internal.Lifecycles.failEarlyAndLeaveNoOneBehind(Lifecycles.java:29)
	at com.wideplay.warp.persist.PersistenceFilter.doFilter(PersistenceFilter.java:155)
	at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:129)
	at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:59)
	at com.google.inject.servlet.ManagedFilterPipeline.dispatch(ManagedFilterPipeline.java:122)
	at com.google.inject.servlet.GuiceFilter.doFilter(GuiceFilter.java:110)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:128)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:293)
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:849)
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:583)
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:454)
	at java.lang.Thread.run(Thread.java:636)
Caused by: java.lang.reflect.InvocationTargetException
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at org.jboss.resteasy.core.StringParameterInjector.extractValue(StringParameterInjector.java:242)
	... 38 more
Caused by: java.lang.NumberFormatException: For input string: "0false"
	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)
	at java.lang.Long.parseLong(Long.java:438)
	at java.lang.Long.<init>(Long.java:690)
	... 43 more
Jun 16 19:13:22 [http-8443-1] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - ====Response====
Jun 16 19:13:22 [http-8443-1] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - Status: 0
Jun 16 19:13:22 [http-8443-1] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - Response Body:
Jun 16 19:13:22 [Finalizer] DEBUG org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor - Invoked.
Jun 16 19:13:22 [Finalizer] DEBUG org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor - com.google.inject.InterceptorStackCallback$InterceptedMethodInvocation
Comment 5 Adrian Likins 2010-06-17 11:05:14 EDT
Looks like two bugs.

1) cp 17-1 breaks with head cp_product_utils

This gives the traceback shown in comment 4. The format
for product->content associatons changed and causes this.

I pushed a candlepin-0.0.17-1 for cp_product_utils that lines up
to a compatible version. That seems to work (checked it out
and ran it on 10.16.120.131 and it imported okay)

2) head cp vs head cp_product_utils

This gives a traceback about  "Can not construct instance of java.lang.Long from String value '1.0': not a valid long value" etc.

This is caused by the candlepin ruby changing on the create_product call, and the string version trying to get put into the database as the Long "multiplier" 

Working on this atm.
Comment 6 Adrian Likins 2010-06-17 12:05:50 EDT
#2 from comment 5 should be fixed with

cp_product_utils  e1b4c50d6252bf2d575f57209e18f2d304b22f54
candlepin         886396e1d4240ce5e9f518d710629e2a881d588a
Comment 7 wes hayutin 2010-06-17 12:44:25 EDT
had to run it twice.. but the second time it worked..

First attempt
-----------------------------
[[0, false], [1, true]]]
/usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/abstract_response.rb:60:in `return!': Bad Request (RestClient::BadRequest)
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:204:in `process_result'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:153:in `transmit'
	from /usr/lib/ruby/1.8/net/http.rb:543:in `start'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:150:in `transmit'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:55:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:30:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/resource.rb:63:in `post'
	from ../client/ruby/candlepin_api.rb:328:in `post'
	from ../client/ruby/candlepin_api.rb:188:in `add_content_to_product'
	from buildconf/scripts/import_products.rb:95
	from buildconf/scripts/import_products.rb:94:in `each'
	from buildconf/scripts/import_products.rb:94
	from buildconf/scripts/import_products.rb:55:in `each'
	from buildconf/scripts/import_products.rb:55


-----------------------------

Second attempt
-----------------------------

 "created"=>"2010-06-17T16:38:45.409+0000",
 "updated"=>"2010-06-17T16:38:45.409+0000"}
["rhel-prem-arch-16-socket-standard",
 "RHEL for Premium Architectures, 16 socket, L1-L3, Standard support",
 "MKT-rhel-prem-arch-16-socket-standard",
 1,
 "6.1",
 "ALL",
 "ALL",
 "MKT",
 ["37062", "37060"],
 {"type"=>"MKT",
  "arch"=>"ALL",
  "sockets"=>16,
  "version"=>"6.1",
  "variant"=>"ALL"},
 []]
[root@localhost proxy]# 


un 17 12:38:46 [http-8443-1] DEBUG org.fedoraproject.candlepin.model.PoolCurator - Creating new pool for new sub: 10
Jun 17 12:38:46 [http-8443-1] DEBUG org.fedoraproject.candlepin.model.PoolCurator -    new pool: EntitlementPool [id = 10, owner = 1, products = MKT-rhel-premium - [], sub = 10, quantity = 10, expires = 2012-07-12 20:00:00.0]
Jun 17 12:38:46 [http-8443-1] DEBUG org.fedoraproject.candlepin.model.PoolCurator - Creating new pool for new sub: 11
Jun 17 12:38:46 [http-8443-1] DEBUG org.fedoraproject.candlepin.model.PoolCurator -    new pool: EntitlementPool [id = 11, owner = 1, products = MKT-rhel-prem-arch-16-socket-standard - [], sub = 11, quantity = 10, expires = 2012-07-12 20:00:00.0]
Jun 17 12:38:46 [http-8443-1] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - ====Response====
Jun 17 12:38:46 [http-8443-1] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - Status: 204
Jun 17 12:38:46 [http-8443-1] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - Response Body:
Comment 8 wes hayutin 2010-08-10 11:45:27 EDT
6.1 arch: ALL type: MKT
product name: RHEL for Premium Architectures SVC version: 6.1 arch: ALL type: SVC
product name: Red Hat Linux 4.0 version: 4.0 arch: i386 type: SVC
product name: Red Hat Open Dos version: 5.1 arch: i386 type: SVC
product name: PRAD390 Awesome OS for IBM s390x systems version: 3.11 arch: s390x type: SVC
product name: PRAD390 Awesome OS for IBM s390x systems Product version: 3.11 arch: s390x type: MKT
product name: RHEL for Premium Architectures version: 1.0 arch: ALL type: MKT
product name: RHEL for Premium Architectures, 16 socket, L1-L3, Standard support version: 6.1 arch: ALL type: MKT
product name: IPA Engineering Product version: 1.0 arch: ALL type: SVC
product name: IPA Client Pack (50) version: 1.0 arch: ALL type: MKT
[root@localhost proxy]# git show
commit 8f9d398d62028055b658cccb4bc890e3c550fded
Merge: a142add 27b49de
Author: root <root@localhost.localdomain>
Date:   Tue Aug 10 09:17:01 2010 -0400

    Merge branch 'master' of git://git.fedorahosted.org/git/candlepin
Comment 9 John Sefler 2011-05-04 10:41:07 EDT
Group move of VERIFIED Candlepin component bugs to RELEASE_PENDING

Note You need to log in before you can comment on or make changes to this bug.